# CameraFilePath Struct Reference

A structure created by the capture operation. More...

`#include <gphoto2-camera.h>`

## Data Fields

char | name [128]
| Name of the captured file.
char | folder [1024]
| Name of the folder of the captured file.

## Detailed Description

A structure created by the capture operation.

A structure containing the folder and filename of an object after a successful capture and is passed as reference to the gp_camera_capture() function.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-camera.h